Cyberduck Mountain Duck CLI

#446 closed defect (fixed)

must enter password on every upload - BIG pain

Reported by: spaceprobe@… Owned by: dkocher
Priority: normal Milestone: 2.6.1
Component: core Version: 2.6
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

I've just downloaded the new Cyberduck (Version 2.6 (2315)).

A wile ago I complained that I had to type a password every time I uploaded a file and you fixed this in the next version. The problem is back; I have to type a password every time again and its an enormous pain in the proverbials.

For security reasons I CAN NOT use the keychain to keep my customer's and my customers' customer's passwords in.

Is there any chance you can fix this again. Why not make it a configurable option? You can have have it on by default as long as I can switch it off. I really love Cyberduck but this problem makes it almost unusable for me.

In the prefs there is a checkbox: Use keychain. I have this UNchecked but Cyberduck still asks for a password every time - is this correct? Presumably checking it wouldn't help because I don't have the passwords in any keychain.

Change History (5)

comment:1 Changed on Jun 10, 2006 at 12:06:20 PM by dkocher

See also #113 for further reference.

comment:2 Changed on Jun 13, 2006 at 8:48:58 AM by dkocher

I have not yet decided if this is a 'wontfix' or not. The problem is that I don't like to cache the password for too long.

comment:3 Changed on Jun 21, 2006 at 10:24:31 PM by anonymous

Just another vote for changing the password behavior. I don't want to save the passwords for every site I might connect to in my keychain. I connect to a lot of different sites and my keychain would get cluttered up quickly. I also don't want to store some of those passwords at all. But having to retype them every time I upload a file is insanely frustrating. I would love to see them stored in RAM until the app quits. Or at least for a more reasonable time, like 15 minutes. Maybe you could make a hidden option that lets experienced users change the timeout?

comment:4 Changed on Jun 22, 2006 at 11:07:33 AM by dkocher

  • Milestone set to 2.6.1
  • Severity changed from major to normal
  • Status changed from new to assigned

comment:5 Changed on Jun 26, 2006 at 9:13:27 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed as of r2319.

Note: See TracTickets for help on using tickets.